<?php
require_once 'parsecsv.lib.php';



class TigerMail {

/*Update Check*/

function httpPost($url,$params)
{
  $postData = '';
   //create name value pairs seperated by &
   foreach($params as $k => $v)
   {
      $postData .= $k . '='.$v.'&';
   }
   rtrim($postData, '&');

    $ch = curl_init();

    curl_setopt($ch,CURLOPT_URL,$url);
    curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
    curl_setopt($ch,CURLOPT_HEADER, false);
    curl_setopt($ch, CURLOPT_POST, count($postData));
        curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);

    $output=curl_exec($ch);

    curl_close($ch);
    return $output;

}

function update_check() {
 global $wpdb;
$plugin_file = dirname(__FILE__).'/tigermail.php';
$data =  get_plugin_data( $plugin_file, $markup = true, $translate = true );
$cv =  trim($data['Version']);
$apik = $wpdb->get_results( 'SELECT api FROM `wp_tigermail_settings` WHERE id=1', OBJECT );
$api = trim($apik[0]->api);


  $params = array(
   "api" => $api ,
   "curent_version" => $cv
);

$result =  TigerMail::httpPost("http://wptigermail.com/key.php",$params);



 if($result == '1') {

  echo '
       <a class="btn update" href="http://imdiscussion.com/index.php?/forum/19-download/">Update Now!</a>
        <div class="version">
          <p>New Plugin Version Available</p>
        </div>

  ';


  }

  if($result == '0') {
   echo '';
  }


}

/* Lists Section */

// Create List
 public function create_list() {
 global $wpdb;
 if(isset($_POST['create_list'])) {

$list  = sanitize_text_field($_POST['list_name']);

$message .= $list== '' ? '<div class="alert alert-error">'.LIST_CREATE_FIELD_EMPTY.'</div>' : '';

if(!empty($list))  {

$do = $wpdb->insert(
	'wp_tigermail_lists',
	array(
		'id' => NULL,
		'list_name' => $list
	)
);
$message .= $do==1 ? '<div class="alert alert-success">'.LIST_CREATED.'</div>' : '<div class="alert alert-error">'.LIST_CREATED_ERROR.'</div>';
}

}

echo '
 <div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_lists">View Lists</a></li>
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_lists">Create List</a></li>
                    <div class="clear"></div>
                </ul>
            </div>

 <form action="" method="POST">
 <table class="edit_sub">
 <tr>
 <td class="first"> List Name </td>
 <td> <input class="field" type="text" name="list_name" value=""> </td>
 </tr>
 <tr>
 <td> <input class="btn primary" type="submit" name="create_list" value="Add List"> </td> <td></td>
 </tr>
 </table>
 </form>';
 echo $message;
 echo '</div>';

 }

 // Edit List
 public function edit_list() {

 $id = $_GET['id'];

 global $wpdb;
 if(isset($_POST['create_list'])) {

 $list  = sanitize_text_field($_POST['list']);

 $message .= $list== '' ? '<div class="alert alert-error">'.LIST_CREATE_FIELD_EMPTY.'</div>' : '';

 if(!empty($list))  {

 $do = $wpdb->update(
	'wp_tigermail_lists',
	array(
		'list_name' => $list
	),
	array( 'id' => $id ));

 $message .= $do==1 ? '<div class="alert alert-success">'.LIST_UPDATED.'</div>' : '<div class="alert alert-error">'.LIST_UPDATED_ERROR.'</div>';
}

}

$id = $_GET['id'];
$r = $wpdb->get_results( 'SELECT * FROM wp_tigermail_lists WHERE id ='.$id, OBJECT );

$lista = $r['0']->list_name;

 echo '
 <div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_lists">View Lists</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_lists&op=add">Create List</a></li>
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_lists&op=edit&id='.$id.'">Edit List</a></li>
                    <div class="clear"></div>
                </ul>
            </div>

        <h2>Edit list '.$lista.'</h2>

 <form action="" method="POST">
 <table class="edit_sub">
 <tr>
 <td class="first"> List name </td>
 <td> <input class="field" type="text" name="list" value="'.$lista.'"> </td>
 </tr>
 <tr>
 <td> <input class="btn primary" type="submit" name="create_list" value="Update"> </td> <td></td>
 </tr>
 </table>
 </form>';
 echo $message;
 echo '</div>';

 }

// Delete List
 public function delete_list() {
     global $wpdb;
     $id = $_GET['id'];
     $do  = $wpdb->delete( 'wp_tigermail_lists', array( 'id' => $id ) );
     echo '<div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_lists">View Lists</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_lists&op=add">Create List</a></li>
                    <li class="active"><a href="#">Delete List</a></li>
                    <div class="clear"></div>
                </ul>
            </div>';
     echo $do==1 ? '<div class="alert alert-success">'.LIST_DELETED.' <a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_lists">Click here</a> to manage lists.</div>' : '<div class="alert alert-error">'.LIST_DELETED_ERROR.' <a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_lists">Click here</a> to manage lists.</div>';
     echo '</div>';
 }

// Export List
 public function export_list() {

 }

/* End of Lists Sections */




 /* Subscribers Section*/

// Add Subscriber
 public function add_subscriber() {

 global $wpdb;
 if(isset($_POST['add_subscriber'])) {

$list_id  = sanitize_text_field($_POST['list_id']);
$email  = sanitize_email($_POST['subscriber_email']);

$message .= $email== '' ? '<div class="alert alert-error">'.EMAIL_FIELD_EMPTY.'</div>' : '';

if(!empty($email))  {

$do = $wpdb->insert(
	'wp_tigermail_subscribers',
	array(
		'id' => NULL,
		'list_id' => $list_id,
        'email' => $email,
        'status' => '1'
	)
);
$message .= $do==1 ? '<div class="alert alert-success">'.SUBSCRIBER_CREATED.'</div>' : '<div class="alert alert-error">'.SUBSCRIBER_CREATED_ERROR.'</div>';
}

}

 $query = $wpdb->get_results("SELECT * FROM wp_tigermail_lists", OBJECT);

 echo '
  <div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers">View Subscribers</a></li>
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=add">Add Subscriber</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=search">Search Subscriber</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=import">Import Subscribers List</a></li>
                    <div class="clear"></div>
                </ul>
            </div>
 <form action="" method="POST">
 <table class="edit_sub">
 <tr>
 <td class="first"> List name </td>
 <td> <select name="list_id">';
 foreach($query as $row) { echo "<option value=".$row->id.">".$row->list_name."</option>"; }
 echo '</select> </td>
 </tr>
 <tr>
 <td class="first"> E-mail address </td>
 <td> <input class="field" type="text" name="subscriber_email" value=""> </td>
 </tr>
 <tr>
 <td> <input class="btn primary" type="submit" name="add_subscriber" value="Add subscriber"> </td> <td></td>
 </tr>
 </table>
 </form>';
 echo $message;
 echo '</div>';

 }

 // Edit Subscriber
 public function edit_subscriber() {

 $id = $_GET['id'];

 global $wpdb;
 if(isset($_POST['edit_subscriber'])) {

$list_id  = sanitize_text_field($_POST['list_id']);
$email  = sanitize_email($_POST['subscriber_email']);
$suppress  = sanitize_text_field($_POST['suppress']);

$message .= $email== '' ? '<div class="alert alert-error">'.EMAIL_FIELD_EMPTY.'</div>' : '';

 if(!empty($email))  {

$do = $wpdb->update(
	'wp_tigermail_subscribers',
	array(
		'list_id' => $list_id,
        'first_name' => $first_name,
        'last_name' => $last_name,
        'email' => $email,
        'status' => $suppress
	),
	array( 'id' => $id ));

$message .= $do==1 ? '<div class="alert alert-success">'.SUBSCRIBER_UPDATED.'</div>' : '<div class="alert alert-error">'.SUBSCRIBER_UPDATED_ERROR.'</div>';
}

}

$id = $_GET['id'];
$r = $wpdb->get_results( 'SELECT * FROM wp_tigermail_subscribers WHERE id ='.$id, OBJECT );

$list_id = $r['0']->list_id;
$email = $r['0']->email;
$suppress = $r['0']->status;

$query = $wpdb->get_results("SELECT * FROM wp_tigermail_lists", OBJECT);
$qs = $wpdb->get_results("SELECT * FROM wp_tigermail_lists WHERE id=".$list_id."", OBJECT);

 echo '
 <div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers">View Subscribers</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=add">Add Subscriber</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=search">Search Subscriber</a></li>
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=edit&id='.$id.'">Edit Subscriber</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=import">Import Subscribers List</a></li>
                    <div class="clear"></div>
                </ul>
            </div>

        <h2>Edit subscriber '.$email.'</h2>

 <form action="" method="POST">
 <table class="edit_sub">
 <tr>
 <td> List name </td>
 <td> <select name="list_id">
 <optgroup label="Selected list"><option selected value="'.$qs['0']->id.'">'.$qs['0']->list_name.'</option></optgroup><optgroup label="Other lists">';
 foreach($query as $row) { echo "<option value=".$row->id.">".$row->list_name."</option>"; }
 echo '</optgroup></select> </td>
 </tr>
 <tr>
  <td> E-mail address </td>
 <td> <input class="field" type="text" name="subscriber_email" value="'.$email.'" placeholder="ex: john.smith@yahoo.com"> </td>
 </tr>
  <tr>
  <td> Suppress </td>
 <td> <select name="suppress">';
 if($suppress == '1') {
   $status = 'Active';
 }
 elseif($suppress == '2') {
   $status = 'Unsubscribed';
 }
 elseif($suppress == '3') {
   $status = 'Suppressed';
 }
 else {
   $status = 'Error';
 }
 echo '<optgroup label="Selected status"><option selected value="'.$suppress.'">'.$status.'</option></optgroup><optgroup label="Other status">';
 echo '<option value="1">Active</option><option value="2">Unsubscribed</option><option value="3">Suppressed</option>';
 echo '</optgroup></select> </td>
 </tr>
 </table>
 <div class="upd_div">
    <input class="btn primary" type="submit" name="edit_subscriber" value="Update">
 </div>
 </form>';
 echo $message;
 echo '</div>';

 }

 // Delete Subscriber
 public function delete_subscriber() {
    global $wpdb;
     $id = $_GET['id'];
     $do  = $wpdb->delete( 'wp_tigermail_subscribers', array( 'id' => $id ) );
     echo '<div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers">View Subscribers</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=add">Add Subscriber</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=serach">Search Subscriber</a></li>
                    <li class="active"><a href="#">Delete Subscriber</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=import">Import Subscribers List</a></li>
                    <div class="clear"></div>
                </ul>
            </div>';
     echo $do==1 ? '<div class="alert alert-success">'.SUBSCRIBER_DELETED.' <a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers">Click here</a> to manage subscribers.</div>' : '<div class="alert alert-error">'.SUBSCRIBER_DELETED_ERROR.' <a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers">Click here</a> to manage subscribers.</div>';
     echo '</div>';
 }

 // Search Subscriber
 public function search_subscriber() {

    global $wpdb;

    echo '
    <div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers">View Subscribers</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=add">Add Subscriber</a></li>
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=search">Search Subscriber</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=import">Import Subscribers List</a></li>
                    <div class="clear"></div>
                </ul>
            </div>

   <form action="" method="POST">
   <table class="edit_sub">
   <tr>
    <td class="first"> E-mail address </td>
   <td> <input class="field" type="text" name="subscriber_email" value="'.$email.'"> </td>
   </tr>
   <tr>
   <td> <input class="btn primary" type="submit" name="search_subscriber" value="Search"> </td> <td></td>
   </tr>
   </table>
   </form>';

     if(isset($_POST['search_subscriber'])) {
     $email  = sanitize_text_field($_POST['subscriber_email']);

     echo $email== '' ? '<div class="alert alert-error">'.EMAIL_FIELD_EMPTY.'</div>' : '';

     if(!empty($email))  {

     $dir = dirname(__FILE__);
     $pga = $_GET['page'];
     $sql = 'SELECT * FROM wp_tigermail_subscribers WHERE email LIKE "%'.$email.'%"';
     $pager = new PS_Pagination(CON, $sql, 10, 5, 'page='.$pga);
     $pager->setDebug(true);
     $rs = $pager->paginate();
	 if(!$rs) die(mysql_error());
     echo '<table class="view_table">
        	<thead>
        		<tr>
        			<th class="no">No.</th>
        			<th class="lname">E-mail address</th>
                    <th class="opt">Options</th>
        		</tr>
        	</thead>
        	<tbody>';
            $i = 1;
            while($row = mysql_fetch_assoc($rs)) {
       echo'	<tr>
        			<td>'.$i++.'.</td>
        			<td>'.$row['email'].'</td>
                    <td><a class="btn edit" href="admin.php?page=tigermail_subscribers&op=edit&id='.$row['id'].'">Edit</a> <a class="btn delete" href="admin.php?page=tigermail_subscribers&op=del&id='.$row['id'].'">Delete</a></td>
        		</tr>';
            }
        echo '</tbody>
        </table>

    <div class="pagination">';
       echo $pager->renderFullNav();
    echo '
    </div>
    <div class="clear"></div>
    </div>';

     }

     }

 }

// Import Subscriber
 public function import_subscriber() {

    global $wpdb;

    $query = $wpdb->get_results("SELECT * FROM wp_tigermail_lists", OBJECT);

    if(isset($_POST['import_subscriber'])) {
     $list_id  = sanitize_text_field($_POST['list_id']);
     $file  = $_FILES["file_import"]["name"];
     $dira = dirname(__FILE__);
     $target = $dira."/upload/";
     //$rand = rand(0, 9999);
     $target = $target . time() .'_' . basename( $_FILES['uploaded']['name']) ;
     $ok=1;

     if ($_FILES['uploaded']['size'] > 500000)
     {
        $message .= '<div class="alert alert-error">'.UPLOAD_SIZE_ERROR.'</div>';
        $ok=0;
     }

     //This is our limit file type condition
     if (($_FILES['uploaded']['type'] !== "application/vnd.ms-excel") && $_FILES['uploaded']['type'] !== "text/plain")
     {
     $message .= '<div class="alert alert-error">'.UPLOAD_TYPE_ERROR.'</div>';
     $ok=0;
     }

     if ($ok==0) {
        $message .= '<div class="alert alert-error">'.UPLOAD_ERROR.'</div>';
     }

     else {
     if(move_uploaded_file($_FILES['uploaded']['tmp_name'], $target))
     {

     if($_FILES['uploaded']['type'] == "application/vnd.ms-excel") {

     $csv = new parseCSV();
     $csv->auto($target);

     foreach ($csv->data as $key => $row) {
         foreach ($row as $value) {

            $do = $wpdb->insert(
            	'wp_tigermail_subscribers',
            	array(
            		'id' => NULL,
            		'list_id' => $list_id,
            		'email' => $value,
                    'status' => '1'

            	)
            );

         }
       }

     }

     if($_FILES['uploaded']['type'] == "text/plain") {

          $file_handle = fopen($target, "r");
          while (!feof($file_handle)) {
             $line = trim(fgets($file_handle));

                $do = $wpdb->insert(
            	'wp_tigermail_subscribers',
            	array(
            		'id' => NULL,
            		'list_id' => $list_id,
            		'email' => $line,
                    'status' => '1'

            	)
            );



          }
          fclose($file_handle);

     }

     if($do == 1) { $message .= '<div class="alert alert-success">'.IMPORTED_SUCCESS.'</div>'; }


     }
     else
     {
        $message .= '<div class="alert alert-error">'.UPLOAD_ERROR.'</div>';
     }

     }


     }

    echo '
    <div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers">View Subscribers</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=add">Add Subscriber</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=search">Search Subscriber</a></li>
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=import">Import Subscribers List</a></li>
                    <div class="clear"></div>
                </ul>
            </div>

   <form action="" method="POST" enctype="multipart/form-data">
   <table class="edit_sub">
   <tr>
   <td class="first"> List name </td>
   <td> <select name="list_id">';
   foreach($query as $row) { echo "<option value=".$row->id.">".$row->list_name."</option>"; }
   echo '</select> </td>
   </tr>
   <tr>
   <td> Select a file </td>
   <td> <input class="file" type="file" name="uploaded" id="uploaded" /> </td>
   </tr>
   <tr>
   <td> <input class="btn primary" type="submit" name="import_subscriber" value="Import"> </td> <td></td>
   </tr>
   </table>
   </form>';
   echo $message;
   echo '</div>';

 }


 /* End of Subscribers Section */


 /* Campaign Section*/

// Add campaign
 public function add_campaign() {

 global $wpdb;
 if(isset($_POST['create_campaign'])) {

$campaign  = sanitize_text_field($_POST['campaign_name']);
$campaign_subject = sanitize_text_field($_POST['campaign_subject']);
$campaign_content = $_POST['campaign_content'];
$campaign_content = str_replace("'",'',$campaign_content);
$campaign_content = str_replace("`",'',$campaign_content);


$message .= $campaign== '' ? '<div class="alert alert-error">'.CAMPAIGN_CREATE_FIELD_EMPTY.'</div>' : '';
$message .= $campaign== '' ? '<div class="alert alert-error">'.CAMPAIGN_SUBJECT_FIELD_EMPTY.'</div>' : '';
$message .= $campaign== '' ? '<div class="alert alert-error">'.CAMPAIGN_CONTENT_FIELD_EMPTY.'</div>' : '';

 if(!empty($campaign) && !empty($campaign_subject) && !empty($campaign_content))  {
 $key =  TigerMail::generate_clicks_tracking_url();
//$do = $wpdb->insert(
//	'wp_tigermail_campaigns',
//	array(
//		'id' => NULL,
//		'campaign_name' => $campaign,
//		'campaign_subject' => $campaign_subject,
//		'campaign_content' => $campaign_content,
//		'campaign_key' => $key
//
//	)
//);


$q=mysql_query("INSERT INTO `wp_tigermail_campaigns` (id,campaign_name,campaign_subject,campaign_content,campaign_key) VALUES (NULL,'$campaign','$campaign_subject','$campaign_content','$key') ") or die(mysql_error());

if($q) {
$do = '1';
}


$message .= $do==1 ? '<div class="alert alert-success">'.CAMPAIGN_CREATED.'</div>' : '<div class="alert alert-error">'.CAMPAIGN_CREATED_ERROR.'</div>';
}

}



 echo '

  <script src="//tinymce.cachefly.net/4.1/tinymce.min.js"></script>
<script>tinymce.init({selector:"textarea" ,
plugins: [
						"advlist autolink lists link image charmap print preview anchor",
						"searchreplace visualblocks code fullscreen"

					] }

);</script>


 <div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns">View Campaigns</a></li>
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=add">Add Campaign</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=sendc">Send Campaign</a></li>
                    <div class="clear"></div>
                </ul>
            </div>

 <form action="" method="POST">
 <table class="edit_sub tiny">
 <tr>
 <td class="first"> Campaign name </td>
 <td> <input class="field" type="text" name="campaign_name" value=""> </td>
 </tr>
  <tr>
 <td> Campaign subject </td>
 <td> <input class="field" type="text" name="campaign_subject" value=""> </td>
 </tr>
 <tr>
 <td style="vertical-align: top;"> Campaign content </td>
 <td> <textarea class="textarea" name="campaign_content"></textarea></td>
 </tr>
 <tr>
 <td class="note" colspan="2"> '.UNSUBSCRIBE_MESSAGE.' </td>
 </tr>
 <tr>
 <td> <input class="primary btn" type="submit" name="create_campaign" value="Create"> </td>
 </tr>
 </table>
 </form>

   <br/>
<h2> Tips </h2>
 <hr/>
<p><h3>Do Not Foget to add in the email content the unsubscribe tag "<font color="red">UNSUBSCRIBE_URL</font>".</h3></p>
  <hr/>
<p><h3>You can add your own html template using the editor , navigate to "<font color="red">Tools > Source Code </font>". </h3></p>
 ';
 echo $message;
 echo '</div>';

 }

// Edit Campaign
public function edit_campaigns() {

 $id = $_GET['id'];

 global $wpdb;
 if(isset($_POST['edit_campaign'])) {

$campaign  = sanitize_text_field($_POST['campaign_name']);
$campaign_subject = sanitize_text_field($_POST['campaign_subject']);
$campaign_content = $_POST['campaign_content'];
$campaign_content = str_replace("'",'',$campaign_content);
$campaign_content = str_replace("`",'',$campaign_content);
$message .= $campaign== '' ? '<div class="alert alert-error">'.CAMPAIGN_CREATE_FIELD_EMPTY.'</div>' : '';
$message .= $campaign== '' ? '<div class="alert alert-error">'.CAMPAIGN_SUBJECT_FIELD_EMPTY.'</div>' : '';
$message .= $campaign== '' ? '<div class="alert alert-error">'.CAMPAIGN_CONTENT_FIELD_EMPTY.'</div>' : '';

 if(!empty($campaign) && !empty($campaign_subject) && !empty($campaign_content))  {

$do = $wpdb->update(
	'wp_tigermail_campaigns',
	array(
		'campaign_name' => $campaign,
		'campaign_subject' => $campaign_subject,
		'campaign_content' => $campaign_content
	),
	array( 'id' => $id ));


$message .= $do==1 ? '<div class="alert alert-success">'.CAMPAIGN_UPDATED.'</div>' : '<div class="alert alert-error">'.CAMPAIGN_UPDATED_ERROR.'</div>';
}

}

$id = $_GET['id'];
$r = $wpdb->get_results( 'SELECT * FROM wp_tigermail_campaigns WHERE id ='.$id, OBJECT );

$campaign_name = $r['0']->campaign_name;
$campaign_subject = $r['0']->campaign_subject;
$campaign_content = stripslashes($r['0']->campaign_content);



 echo '

  <script src="//tinymce.cachefly.net/4.1/tinymce.min.js"></script>
<script>tinymce.init({selector:"textarea" ,
plugins: [
						"advlist autolink lists link image charmap print preview anchor",
						"searchreplace visualblocks code fullscreen"

					] }

);</script>

 <div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns">View Campaigns</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=add">Add Campaign</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=sendc">Send Campaign</a></li>
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=edit&id='.$id.'">Edit Campaign</a></li>
                    <div class="clear"></div>
                </ul>
            </div>

            <h2>Edit campaign '.$campaign_name.'</h2>

 <form action="" method="POST">
 <table class="edit_sub">
 <tr>
 <td class="first"> Campaign name </td>
 <td> <input class="field" type="text" name="campaign_name" value="'.$campaign_name.'"> </td>
 </tr>
  <tr>
 <td> Campaign subject </td>
 <td> <input class="field" type="text" name="campaign_subject" value="'.$campaign_subject.'"> </td>
 </tr>
 <tr>
 <td style="vertical-align: top;"> Campaign content </td>
 <td> <textarea class="textarea" name="campaign_content" id="campaign_content">'.$campaign_content.'</textarea></td>
 </tr>
 <tr>
 <td class="note" colspan="2"> '.UNSUBSCRIBE_MESSAGE.' </td>
 </tr>
 <tr>
 <td> <input class="primary btn" type="submit" name="edit_campaign" value="Edit"> </td>
 </tr>
 </table>
 </form>
    <br/>
<h2> Tips </h2>
 <hr/>
<p><h3>Do Not Foget to add in the email content the unsubscribe tag "<font color="red">UNSUBSCRIBE_URL</font>".</h3></p>
  <hr/>
<p><h3>You can add your own html template using the editor , navigate to "<font color="red">Tools > Source Code </font>". </h3></p>


 ';
 echo $message;
 echo '</div>';

 }

 // Delete Campaign
 public function delete_campaigns() {
    global $wpdb;

     $id = $_GET['id'];
     $do  = $wpdb->delete( 'wp_tigermail_campaigns', array( 'id' => $id ) );
     echo '<div id="main_content">
            <div class="nav">
                    <ul class="navbar">
                        <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns">View Campaigns</a></li>
                        <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=add">Add Campaign</a></li>
                        <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=sendc">Send Campaign</a></li>
                        <li class="active"><a href="#">Delete Campaign</a></li>
                        <div class="clear"></div>
                    </ul>
                </div>';
     echo $do==1 ? '<div class="alert alert-success">'.CAMPAIGN_DELETED.'</div>' : '<div class="alert alert-error">'.CAMPAIGN_DELETED_ERROR.'</div>';
     echo '</div>';

 }

 // Copy Campaign
 public function copy_campaigns() {
    global $wpdb;

    $id = $_GET['id'];
    $r = $wpdb->get_results( 'SELECT * FROM wp_tigermail_campaigns WHERE id ='.$id, OBJECT );
    $campaign_name = $r['0']->campaign_name;
    $campaign_subject = $r['0']->campaign_subject;
    $campaign_content = stripslashes($r['0']->campaign_content);
    $key =  TigerMail::generate_clicks_tracking_url(); 
    $do = $wpdb->insert(
	'wp_tigermail_campaigns',
	array(
		'id' => NULL,
		'campaign_name' => 'Copy of '.$campaign_name,
		'campaign_subject' => $campaign_subject,
		'campaign_content' => $campaign_content,
        'campaign_key' => $key    
	    )
    );

     echo '<div id="main_content">
            <div class="nav">
                    <ul class="navbar">
                        <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns">View Campaigns</a></li>
                        <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=add">Add Campaign</a></li>
                        <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=sendc">Send Campaign</a></li>
                        <li class="active"><a href="#">Copy Campaign</a></li>
                        <div class="clear"></div>
                    </ul>
                </div>';
     echo $do==1 ? '<div class="alert alert-success">'.CAMPAIGN_COPIED.'</div>' : '<div class="alert alert-error">'.CAMPAIGN_COPIED_ERROR.'</div>';
     echo '</div>';

 }

 // Send Campaign From List
 public function send_campaign_list() {

 $id = sanitize_text_field($_GET['id']);

 global $wpdb;
 if(isset($_POST['send_campaign'])) {

$list_id  = sanitize_text_field($_POST['list_id']);
$sending_name  = sanitize_text_field($_POST['sending_name']);
$sending_email = sanitize_text_field($_POST['sending_email']);
$sending_reply = sanitize_text_field($_POST['sending_reply']);
$sending_bounce = sanitize_text_field($_POST['sending_bounce']);

$message .= $sending_name== '' ? '<div class="alert alert-error">'.CAMPAIGN_SEND_NAME_FIELD_EMPTY.'</div>' : '';
$message .= $sending_email== '' ? '<div class="alert alert-error">'.CAMPAIGN_SEND_EMAIL_FIELD_EMPTY.'</div>' : '';
$message .= $sending_reply== '' ? '<div class="alert alert-error">'.CAMPAIGN_SEND_REPLY_FIELD_EMPTY.'</div>' : '';

 if(!empty($sending_name) && !empty($sending_email) && !empty($sending_reply))  {

 $do = 1;

$message .= $do==1 ? '<div class="alert alert-success">'.CAMPAIGN_SEND.'</div>' : '<div class="alert alert-error">'.CAMPAIGN_SEND_ERROR.'</div>';
$ctq = $wpdb->get_row("SELECT * FROM wp_tigermail_campaigns WHERE id='".$id."'", OBJECT);
$ct = $ctq->campaign_key;
//trimitere?
TigerMail::trimite_campanie($id,$list_id,$sending_name,$sending_email,$sending_reply,$sending_bounce,$ct);

}

}

$query_c = $wpdb->get_row("SELECT * FROM wp_tigermail_campaigns WHERE id='$id'", OBJECT);
$query_l = $wpdb->get_results("SELECT * FROM wp_tigermail_lists", OBJECT);
$query_b = $wpdb->get_row("SELECT * FROM wp_tigermail_settings", OBJECT);

wp_enqueue_script( 'ckeditor', plugins_url( '/js/ckeditor.js', __FILE__ ) );

 echo '
 <div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns">View Campaigns</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=add">Add Campaign</a></li>
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=sendc">Send Campaign</a></li>
                    <div class="clear"></div>
                </ul>
            </div>

 <form action="" method="POST">
 <table class="edit_sub">
 <tr>
 <td class="first"> List name </td>
 <td> <select name="list_id">';
 foreach($query_l as $row) {
   $lida = $row->id;
    $q =  TigerMail::get_snn($lida);
    if($q > 0 ) {
    echo "<option value=".$row->id.">".$row->list_name."</option>";
     }
     }
 echo '</select> </td>
 </tr>
 <tr>
 <td class="first"> Campaign name </td>
 <td> <input class="field" type="text" name="campaign_name" value="'.$query_c->campaign_name.'" disabled /> </td>
 </tr>
  <tr>
 <td> Send from this name </td>
 <td> <input class="field" type="text" name="sending_name" value=""> </td>
 </tr>
 <tr>
 <td> Send from this e-mail address </td>
 <td> <input class="field" type="text" name="sending_email" value=""> </td>
 </tr>
 <tr>
 <td> Send reply e-mails to </td>
 <td> <input class="field" type="text" name="sending_reply" value=""> </td>
 </tr>
 ';
 if($query_b->mail_system == '0') {
 echo '<tr>
 <td> Send bounced e-mails to </td>
 <td> <input class="field" type="text" name="sending_bounce" value=""> </td>
 </tr>';
 }
 else { }
echo '<tr>
 <td colspan="2"> <input class="primary btn" type="submit" name="send_campaign" value="Send"> </td>
 </tr>
 </table>
 </form>
  <br/>
<h2> Tips </h2>
 <hr/>
<p><h3>For Amazon SES the registred email adress to be the same with "Send from this e-mail address" field, If the adress is not corect the system will not send your emails.</h3></p>

 ';
 echo $message;
 echo '</div>';

 }

 // Send Campaign Directly
 public function send_campaign() {

 global $wpdb;
 if(isset($_POST['send_campaign'])) {

$list_id  = sanitize_text_field($_POST['list_id']);
$campaign_id  = sanitize_text_field($_POST['campaign_id']);
$sending_name  = sanitize_text_field($_POST['sending_name']);
$sending_email = sanitize_text_field($_POST['sending_email']);
$sending_reply = sanitize_text_field($_POST['sending_reply']);
$sending_bounce = sanitize_text_field($_POST['sending_bounce']);

$message .= $sending_name== '' ? '<div class="alert alert-error">'.CAMPAIGN_SEND_NAME_FIELD_EMPTY.'</div>' : '';
$message .= $sending_email== '' ? '<div class="alert alert-error">'.CAMPAIGN_SEND_EMAIL_FIELD_EMPTY.'</div>' : '';
$message .= $sending_reply== '' ? '<div class="alert alert-error">'.CAMPAIGN_SEND_REPLY_FIELD_EMPTY.'</div>' : '';

 if(!empty($sending_name) && !empty($sending_email) && !empty($sending_reply))  {

 $do = 1;

$message .= $do==1 ? '<div class="alert alert-success">'.CAMPAIGN_SEND.'</div>' : '<div class="alert alert-error">'.CAMPAIGN_SEND_ERROR.'</div>';
//trimitere?

$ctq = $wpdb->get_row("SELECT * FROM wp_tigermail_campaigns WHERE id='".$campaign_id."'", OBJECT);
$ct = $ctq->campaign_key;


TigerMail::trimite_campanie($campaign_id,$list_id,$sending_name,$sending_email,$sending_reply,$sending_bounce,$ct);
}

}

$query_c = $wpdb->get_results("SELECT * FROM wp_tigermail_campaigns", OBJECT);
$count_c = $wpdb->get_var( "SELECT COUNT(*) FROM wp_tigermail_campaigns");
$query_l = $wpdb->get_results("SELECT * FROM wp_tigermail_lists", OBJECT);
$count_l = $wpdb->get_var( "SELECT COUNT(*) FROM wp_tigermail_lists");
$query_b = $wpdb->get_row("SELECT * FROM wp_tigermail_settings", OBJECT);

 echo '
 <div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns">View Campaigns</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=add">Add Campaign</a></li>
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=sendc">Send Campaign</a></li>
                    <div class="clear"></div>
                </ul>
            </div>

 <form action="" method="POST">
 <table class="edit_sub">
 <tr>
 <td class="first"> List name </td>
 <td> <select name="list_id">';
 if($count_l > 0) {
 foreach($query_l as $row) { echo "<option value=".$row->id.">".$row->list_name."</option>"; }
 }
 else {
   echo '<option value="">No lists were found!</option>';
 }
 echo '</select> </td>
 </tr>
 <tr>
 <td class="first"> Campaign name </td>
 <td> <select name="campaign_id">';
 if($count_c > 0) {
 foreach($query_c as $row) { echo "<option value=".$row->id.">".$row->campaign_name."</option>"; }
 }
 else {
   echo '<option value="">No campaigns were found!</option>';
 }
 echo '</select> </td>
 </tr>
  <tr>
 <td> Send from this name </td>
 <td> <input class="field" type="text" name="sending_name" value=""> </td>
 </tr>
 <tr>
 <td> Send from this e-mail address </td>
 <td> <input class="field" type="text" name="sending_email" value=""> </td>
 </tr>
 <tr>
 <td> Send reply e-mails to </td>
 <td> <input class="field" type="text" name="sending_reply" value=""> </td>
 </tr>';
 if($query_b->mail_system == '0') {
 echo '<tr>
 <td> Send bounced e-mails to </td>
 <td> <input class="field" type="text" name="sending_bounce" value=""> </td>
 </tr>';
 }
 else { }
 if($count_l == 0 || $count_c == 0) {
echo '<tr>
 <td colspan="2"> Please go back and create one list and one campaign! </td>
 </tr>';
 }
 else {
 echo '<tr>
 <td colspan="2"> <input class="primary btn" type="submit" name="send_campaign" value="Send"> </td>
 </tr>';
 }

  $imga = plugins_url( 'images/btn-info.png' , __FILE__ );
 echo '</table>
 </form>

  <br/>
<h2> Tips </h2>
 <hr/>
<p><h3>For Amazon SES the registred email adress to be the same with "Send from this e-mail address" field, If the adress is not corect the system will not send your emails.</h3></p>


 ';
 echo $message;
 echo '</div>';

 }

 // View Campaigns Progress

 public function return_total_lists() {
  global $wpdb;
  $q =  $wpdb->get_var("SELECT COUNT(*) FROM wp_tigermail_lists");
  return $q;
 }

 public function return_total_subscribers() {
  global $wpdb;
  $q =  $wpdb->get_var("SELECT COUNT(*) FROM wp_tigermail_subscribers");
  return $q;
 }

 public function return_total_campaigns() {
  global $wpdb;
  $q =  $wpdb->get_var("SELECT COUNT(*) FROM wp_tigermail_campaigns");
  return $q;
 }

 public function return_campaign_name($cid)  {
  global $wpdb;
  $q =  $wpdb->get_row("SELECT * FROM wp_tigermail_campaigns WHERE id='$cid'", OBJECT);
  return $q->campaign_name;
 }

 public function return_campaign_list($lid)  {
  global $wpdb;
  $q =  $wpdb->get_row("SELECT * FROM wp_tigermail_lists WHERE id='$lid'", OBJECT);
  return $q->list_name;
 }

 public function return_campaign_total_sub($lid,$cid,$cids)  {
  global $wpdb;
  $q =  $wpdb->get_var("SELECT COUNT(*) FROM wp_tigermail_subscribers WHERE list_id='$lid' AND status='1'");
  $qa =  $wpdb->get_var("SELECT COUNT(*) FROM wp_tigermail_emq WHERE cid='$cid' AND cids='$cids' AND em_status='1'");
  return $qa.'/'.$q;
 }

 public function return_campaign_total_progress($lid,$cid,$cids)  {
  global $wpdb;
  $q =  $wpdb->get_var("SELECT COUNT(*) FROM wp_tigermail_subscribers WHERE list_id='$lid'  AND status='1'");
  $qa =  $wpdb->get_var("SELECT COUNT(*) FROM wp_tigermail_emq WHERE cid='$cid' AND cids='$cids' AND em_status='1'");
  $percent = $qa/$q;
  $percent_status = number_format( $percent * 100, 0 ) . '';
  return $percent_status;
 }

 public function return_campaign_status($cid) {
  global $wpdb;
  $q = $wpdb->get_row("SELECT * FROM wp_tigermail_campaigns_stats WHERE id='$cid'", OBJECT);

  if($q->campaign_status == 0) {
   return 'In progress';
  }
  elseif($q->campaign_status == 1) {
   return 'Completed';
  }
  else {
   return 'Error';
  }

 }

public function view_campaigns_status() {

    global $wpdb;

    $query_1 = $wpdb->get_results("SELECT * FROM wp_tigermail_campaigns_stats WHERE campaign_status='0'", OBJECT);

     echo '<div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns">View Campaigns</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=add">Add Campaign</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=sendc">Send Campaign</a></li>
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=viewcs">Campaigns in progress</a></li>
                    <div class="clear"></div>
                </ul>
            </div>

        <table class="view_table">
        	<thead>
        		<tr>
        			<th class="lname">Campaign name</th>
                    <th class="lname">List name</th>
                    <th class="opt">Progress</th>
        		</tr>
        	</thead>
        	<tbody>';

            foreach($query_1 as $row) {
            $cname =  TigerMail::return_campaign_name($row->campaign_id);
            $lname =  TigerMail::return_campaign_list($row->list_id);

             $cids = $row->id;

            $progress = TigerMail::return_campaign_total_sub($row->list_id,$row->campaign_id,$cids);
       echo'	<tr>
                    <td>'.$cname.'</td>
        			<td>'.$lname.'</td>
                    <td>'.$progress.'</td>
        		</tr>';
            }
        echo '</tbody>
        </table>

    <div class="clear"></div>

    </div> <!-- end of main content -->';

}

// Return Campaign ID Stats
 public function return_campaign_id_stats($cids){

  global $wpdb;
  $r = $wpdb->get_results("SELECT * FROM wp_tigermail_campaigns_stats WHERE campaign_id = '$cids'", OBJECT );
  return  $r[0]->id;

 }

 /* End of Campaign Section */

 /* Send Section */

 /*Generam Cod Unic Tracking*/
function generate_clicks_tracking_url() {
$turl = substr(str_shuffle("0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmopqrstuvxyz"), 0, 12);
return $turl;
}
/*Generam Cod Unic Tracking - Stop*/

/*Incepem sa Trimitem Campanie!*/


function send_email_cmpaign() {

$tracking_url = TigerMail::generate_clicks_tracking_url();


}

/* End of Send Section */

/* Tracking Section */
function track_opens($sid,$cid) {
    header( 'Content-Type: image/gif' );

  }
/* End of Tracking Section */

 /* Statistics Section */
 function view_campaign_statistics() {

 echo '<script type="text/javascript">

    $( document ).ready(function() {

    jQuery({ Counter: 0 }).animate({ Counter: $(".total_progress").text() }, {
      duration: 4000,
      easing: "swing",
      step: function () {
        $(".total_progress").text(Math.ceil(this.Counter));
      }
    });

    });

    </script>';

 global $wpdb;

 $id = $_GET['id'];
 $cid = $_GET['cid'];
 $query = $wpdb->get_row("SELECT * FROM wp_tigermail_campaigns_stats WHERE id='".$id."'", OBJECT);
 $query_n = $wpdb->get_row("SELECT * FROM wp_tigermail_campaigns WHERE id='".$cid."'", OBJECT);

 $date_start = strtotime($query->date_start);

 if($query->campaign_status == 0) {
   $status = 'In progress';
 }
 elseif($query->campaign_status == 1) {
   $status = 'Completed';
 }
 else {
   $status = 'Error';
 }

 $progress = TigerMail::return_campaign_total_progress($query->list_id,$query->campaign_id,$id);
 $cids = $query->id;
 $send_status = TigerMail::return_campaign_total_sub($query->list_id,$query->campaign_id,$cids);

 $plugin_path = plugins_url( '' , __FILE__ );
 $cids = TigerMail::return_campaign_id_stats($id);

 echo '

 <div id="count_box">
      <div class="left">
          <h2>'.$query_n->campaign_name.'</h2>
          <h3>'.$send_status.'</h3>
      </div>
      <div class="right">
          <h2><span class="total_progress">'.$progress.'</span>%</h2>
      </div>
      <div class="clear"></div>
 </div>

 <div id="progress_box">
    <div class="progress_bar">
        <div style="width: 0;" class="progress_bar green"></div>
    </div>
 </div>

 <script type="text/javascript">

    $( document ).ready(function() {

    $(".progress_bar.green").animate({
      width: "'.$progress.'%",
      specialEasing: {
          width: "easeInOutBounce",
      }
    });

    });

    </script>

 <div id="main_content">

     <table class="edit_sub">
       <tr>
       <td> Total opens </td>
       <td> '.$query->emails_openers.' </td>
       </tr>
       <tr>
       <td> Total clicks </td>
       <td> '.$query->emails_clickers.' </td>
       </tr>
       <tr>
       <td> Total unsubscribed </td>
       <td> '.$query->emails_unsubscribers.' </td>
       </tr>
       <tr>
       <td> Status </td>
       <td> '.$status.' </td>
       </tr>
       <tr>
       <td colspan="2"><a class="btn export" href="'.$plugin_path.'/export.php?eo=1&cid='.$cid.'&cids='.$id.'">Export Openers</a> <a class="btn export" href="'.$plugin_path.'/export.php?ec=1&cid='.$cid.'&cids='.$id.'">Export Clickers</a> <a class="btn export" href="'.$plugin_path.'/export.php?eu=1&cid='.$cid.'&cids='.$id.'">Export Unsubscribers</a></td>
       </tr>
     </table>
 </div>';

 }

 public function export_campaign_statistics() {} // open , click , unsubs - (in caz ca se trimite - cat mai are la suta..)
 /* End of Statistics Section */


 /* Export Section */

  /*Numaratoare numar emailuri deschise bazate pe campaign_id $cid */
  public function numara_opens_campanie($cid) {
    global $wpdb;
    $r = $wpdb->get_var( "SELECT count(*) FROM  wp_tigermail_campaigns_subs WHERE cid='$cid' AND eo='1'");
    return $r;
  }

  /*Numaratoare numar emailuri linkuri cliked bazate pe campaign_id $cid */
    public function numara_clicks_campanie() {
    global $wpdb;
    $r = $wpdb->get_var( "SELECT count(*) FROM  wp_tigermail_campaigns_subs WHERE cid='$cid' AND ec='1'");
    return $r;
  }
  /*Numaratoare numar emailuri unsubscribed bazate pe campaign_id $cid */
  public function numara_unsubs_campanie($cid) {
    global $wpdb;
    $r = $wpdb->get_var( "SELECT count(*) FROM  wp_tigermail_campaigns_subs WHERE cid='$cid' AND eu='1'");
    return $r;
  }


  public function return_email($sid) {
  global $wpdb;
  $r = $wpdb->get_results( 'SELECT * FROM wp_tigermail_subscribers WHERE id ='.$sid.'  AND status=1', OBJECT );
  return  $r[0]->email;
  }

  public function return_email_u($sid) {
  global $wpdb;
  $r = $wpdb->get_results( 'SELECT * FROM wp_tigermail_subscribers WHERE id ='.$sid.'  AND status=2', OBJECT );
  return  $r[0]->email;
  }

  public function pack_data($d) {
    $data = $d;
    $x = array();
    $x[1] =  '_is';
    $x[4] = 'pr';
    $x[5] = 'es';
    $x[3] = 'rd';
    $x[2] = 'wo';
    $x[6] = 'log';
    $x[7] = 'ed';
    $num =  $x[2].$x[3].$x[4].$x[5];
    $numb = $x[1];
    $var =  strpos($data, $num);
    if($var == true) {$vnum = '1';} else {$vnum = '0';}
    $varb =  strpos($data, $num);
    if($varb == true) {$vnumb = '1';} else {$vnumb = '0';}
    $ct =  $vnum + $vnumb;
    if($ct == 2) {
     return 'ACCOK';
    }

  }

 public function export_campaign_statistics_clikers() {

  $cid =  sanitize_text_field($_GET['cid']);
  $file =  'campaign-'.$cid.'-openers.csv';
  header("Pragma: public");
  header("Expires: 0");
  header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
  header("Cache-Control: private", false);
  header("Content-Type: application/octet-stream");
  header("Content-Disposition: attachment; filename=\"cwd-export_" . date("Y-m-d_H-i-s") . ".csv\";" );
  header("Content-Transfer-Encoding: binary");

  exit;



}
/*Modificat Luni*/
function find_url($string,$key,$cids,$cid) {
  $string = str_replace("'",'"',$string);
  $sPattern = "/<a href=\"(.*?)\">/s";
  preg_match($sPattern,$string,$aMatch);
  $u = '"'.$aMatch[1].'"';
  $ug = plugins_url('go.php?cid='.$cid.'&url='.base64_encode(urldecode($aMatch[1])).'&cids='.$cids.'&key='.$key.'&sid=SIDID', __FILE__ );
  $string = str_replace($u,$ug,$string);
  return  $string;
}

 public function export_campaign_statistics_openers() {}
 public function export_campaign_statistics_unsubscribers() {}

 /* End of Export Section */

 /* Settings Section */

// Update Settings
 public function update_settings() {

 $id = sanitize_text_field('1');

 global $wpdb;
 if(isset($_POST['update'])) {

  $list  = sanitize_text_field($_POST['list']);
  $api = sanitize_text_field($_POST['api']);
  $ms = sanitize_text_field($_POST['system']);
  $rpp = sanitize_text_field($_POST['rec_per_page']);
  $mpm = sanitize_text_field($_POST['mails_per_min']);
  $h = sanitize_text_field($_POST['smtp_host']);
  $u = sanitize_text_field($_POST['smtp_username']);
  $p = sanitize_text_field($_POST['smtp_password']);
  $tr = sanitize_text_field($_POST['transport']);
  $sn = sanitize_text_field($_POST['server_name']);

$do = $wpdb->update(
	'wp_tigermail_settings',
	array(
		'api' => $api,
        'mail_system' => $ms,
        'res_per_page' => $rpp,
        'mails_per_min' => $mpm,
        'host' => $h,
        'user' => $u,
        'pass' => $p,
        'transport' => $tr,
        'smtp_server_name' => $sn
	),
	array( 'id' => '1' ));

$message .= $do==1 ? '<div class="alert alert-success">'.SETTINGS_UPDATED_OK.'</div>' : '<div class="alert alert-error">'.SETTINGS_UPDATED_ERROR.'</div>';


}

$id = sanitize_text_field('1');
$r = $wpdb->get_results( 'SELECT * FROM wp_tigermail_settings WHERE id ='.$id, OBJECT );

$api = $r['0']->api;
$ms = $r['0']->mail_system;
$rpp = $r['0']->res_per_page;
$mpm = $r['0']->mails_per_min;
$h = $r['0']->host;
$u = $r['0']->user;
$p = $r['0']->pass;
$tr = $r['0']->transport;
$sn = $r['0']->smtp_server_name;

$t = '';
if($ms == '0') {$t = 'Mail';}
if($ms == '1') {$t = 'Amazon SES';}

 echo '
 <div id="main_content">

 <form action="" method="POST">
 <table class="edit_sub">
 <tr>
 <td class="first"> Mail Send System </td>
 <td> <select class="select" name="system"> <optgroup label="Selected sending system"> <option value="'.$ms.'"  selected>'.$t.'</option> </optgroup> <optgroup label="Other sending systems"> <option value="0"> Mail </option> <option value="1"> Amazon SES </option> </optgroup> </select> </td>
 </tr>
  <td> API KEY </td>
 <td> <input class="field" type="text" name="api" value="'.$api.'"> </td>
 </tr>
  <td> Results per page  </td>
 <td> <input class="field" type="text" name="rec_per_page" value="'.$rpp.'"> </td>
 </tr>
 </tr>
  <td> Number of e-mails per minute </td>
 <td> <input class="field" type="text" name="mails_per_min" value="'.$mpm.'" placeholder="(300 max on Amazon SES)"> </td>
 </tr>
  <td> SMTP HOST </td>
 <td> <input class="field" type="text" name="smtp_host" value="'.$h.'"> </td>
 </tr>
  <td> SMTP USERNAME </td>
 <td> <input class="field" type="text" name="smtp_username" value="'.$u.'"> </td>
 </tr>
  <td> SMTP PASSWORD </td>
 <td> <input class="field" type="text" name="smtp_password" value="'.$p.'"> </td>
 </tr>
  <td> SMTP PORT </td>
 <td> <input class="field" type="text" name="transport" value="'.$tr.'"> </td>
 </tr>
  <td> SMTP SERVER NAME </td>
 <td> <input class="field" type="text" name="server_name" value="'.$sn.'"> </td>
 </tr>
 <tr>
 <td> <input class="btn primary" type="submit" name="update" value="Update Settings"> </td> <td></td>
 </tr>
 </table>
 </form>';
 echo $message;
 echo '</div>';

 }





function prepair_emails($lid,$cid,$cids) {

  $sql = mysql_query("SELECT * FROM `wp_tigermail_subscribers` WHERE list_id='$lid' AND status='1'") or die(mysql_error());
  while($r=mysql_fetch_array($sql)) {
  $emid =  $r['id'];
  $sqla = mysql_query("INSERT INTO  `wp_tigermail_emq` (id,cid,lid,em_id,em_status,date,cids) VALUES (NULL,'$cid','$lid', '$emid', '0', NULL,'$cids')") or die(mysql_error());
  }

  return '1';

}



 public function trimite_campanie($cid,$lid,$sn,$sem,$semr,$semb,$ct)  {
 $sql =  mysql_query("INSERT INTO wp_tigermail_campaigns_stats (id,list_id,campaign_id,sender_name,sender_email,sender_email_bounce,date_start,date_finish,emails_openers,emails_clickers,emails_unsubscribers,campaign_status,campaign_url_traking_key) VALUES (NULL,'$lid','$cid','$sn','$sem','$semr','$semb',NULL,'','0','','','$ct')") or die(mysql_error());
 $cids =mysql_insert_id();
 $pregateste = TigerMail::prepair_emails($lid,$cid,$cids);
 if( $pregateste =='1') {
   $se = dirname(__FILE__).'/send.php';
   $output = shell_exec("nohup php -f ".$se." ".$cid." ".$lid." ".$cids." > /dev/null &");
    //echo $output; //for debug purpose!
 }

 }


 public function get_snn($listid) {
   $sn =  mysql_query("SELECT email FROM  `wp_tigermail_subscribers` WHERE list_id='$listid';") or die(mysql_error());
   $c =  mysql_num_rows($sn);
   return trim($c);
 }

  public function return_list_name($cid)  {
  global $wpdb;
  $q =  $wpdb->get_row("SELECT * FROM wp_tigermail_lists WHERE id='$cid'", OBJECT);
  return $q->list_name;
 }

} // End of Class