<?php
include('core.php');
include('language.php');
include('pagination.php');

wp_enqueue_style( 'style', plugins_url('/css/style.css', __FILE__), false, '1.0.0', 'all');
wp_enqueue_style( 'font-awesome', plugins_url('/css/font-awesome.css', __FILE__), false, '1.0.0', 'all');
wp_enqueue_script( 'jq', plugins_url( '/js/jquery-1.9.0.min.js', __FILE__ ) );
wp_register_style('googleFonts', 'http://fonts.googleapis.com/css?family=Arimo');
wp_enqueue_style( 'googleFonts');
register_deactivation_hook( __FILE__, 'pluginUninstall' );
$con =  mysql_connect(DB_HOST,DB_USER,DB_PASSWORD);
mysql_select_db(DB_NAME);
define(CON,$con);

defined('ABSPATH') or die("No script kiddies please!");

/**
 * Plugin Name: WPTigerMail
 * Plugin URI: http://imdiscussion.com/index.php?/topic/52-wp-tigermail-v-10/
 * Description: TigerMail is and email campaign sender for wordpress and powereed by Amazon SES..
 * Version: 1.2
 * Author: IMDISCUSSION.COM
 * Author URI: http://imdiscussion.com
 * License: WPTIGERMAIL  Paid Software */


 /*  Copyright 2014  WPTigerMail  (email :webmaster@imdiscussion.com)

    This program is paid software, you cant redistribute it , you can modify
    it under the terms of the GNU General Public License, version 2, as
    published by the Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/

add_action( 'admin_menu', 'tiger_mail' );
//add_action( 'admin_menu', 'settings_menu' );


function tiger_mail(){
   $dir = realpath(plugin_dir_path( __FILE__ ));
    add_menu_page( 'TigerMail', 'TigerMail', 'level_10', 'tigermail.php', dashboard, plugins_url( 'images/tiger.png', __FILE__ ) , 99 );
    add_submenu_page( 'tigermail.php', "lists", 'Manage Lists', 'level_10', 'tigermail_lists', viewlists);
    add_submenu_page( 'tigermail.php', "subscribers", 'Manage Subscribers', 'level_10', 'tigermail_subscribers', viewsubscribers);
    add_submenu_page( 'tigermail.php', "campaigns", 'Manage Campaigns', 'level_10', 'tigermail_campaigns', viewcampaigns);
    add_submenu_page( 'tigermail.php', "statistics", 'Statistics', 'level_10', 'tigermail_statistics', viewstatistics);
    add_submenu_page( 'tigermail.php', "settings", 'Settings', 'level_10', 'tigermail_settings', updatesettingsa);


}

function tigermail_installer() {
global $wpdb;
global $keyword_rankerdb;
$keyword_rankerdb = "1.0";

  $create_campaigns = "CREATE TABLE `wp_tigermail_campaigns` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `campaign_name` varchar(255) NOT NULL,
  `campaign_subject` varchar(255) NOT NULL,
  `campaign_content` longtext NOT NULL,
  `campaign_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `campaign_key` varchar(255) NOT NULL,
  PRIMARY KEY (`id`))";

  $create_campaigns_stats = "CREATE TABLE `wp_tigermail_campaigns_stats` (
  `id` int(20) NOT NULL AUTO_INCREMENT,
  `list_id` int(20) NOT NULL,
  `campaign_id` int(20) NOT NULL,
  `sender_name` varchar(255) NOT NULL,
  `sender_email` varchar(255) NOT NULL,
  `sender_email_bounce` varchar(255) NOT NULL,
  `date_start` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `date_finish` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `emails_openers` int(20) NOT NULL,
  `emails_clickers` int(20) NOT NULL,
  `emails_unsubscribers` int(20) NOT NULL,
  `campaign_status` int(20) NOT NULL,
  `campaign_url_traking_key` varchar(255) NOT NULL,
  PRIMARY KEY (`id`))";

  $create_campaigns_subs = "CREATE TABLE `wp_tigermail_campaigns_subs` (
  `id` int(20) NOT NULL AUTO_INCREMENT,
  `cid` int(20) NOT NULL,
  `sid` int(20) NOT NULL,
  `eo` varchar(20) NOT NULL,
  `ec` varchar(20) NOT NULL,
  `eu` varchar(20) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `cids` varchar(20) NOT NULL,
  PRIMARY KEY (`id`))";

  $create_emq = "CREATE TABLE `wp_tigermail_emq` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `cid` int(10) NOT NULL,
  `lid` int(10) NOT NULL,
  `em_id` int(10) NOT NULL,
  `em_status` int(10) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `cids` int(10) NOT NULL,
  PRIMARY KEY (`id`))";

  $create_lists = "CREATE TABLE `wp_tigermail_lists` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `list_name` varchar(255) NOT NULL,
  `list_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`))";

  $create_settings = "CREATE TABLE `wp_tigermail_settings` (
  `id` int(20) NOT NULL AUTO_INCREMENT,
  `api` varchar(255) NOT NULL,
  `mail_system` varchar(255) NOT NULL DEFAULT '0',
  `res_per_page` int(20) NOT NULL DEFAULT '20',
  `mails_per_min` int(20) NOT NULL,
  `host` varchar(255) NOT NULL,
  `user` varchar(255) NOT NULL,
  `pass` varchar(255) NOT NULL,
  `transport` varchar(255) NOT NULL,
  `smtp_server_name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`))";

  $insert_settings = "INSERT INTO `wp_tigermail_settings` VALUES ('1', '', '1', '30', '300', '', '', '', '587', '');";

  $create_subscribers = "CREATE TABLE `wp_tigermail_subscribers` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `list_id` int(25) NOT NULL,
  `first_name` varchar(255) NOT NULL,
  `last_name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` int(10) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`))";

  $create_subscribers_stats = "CREATE TABLE `wp_tigermail_subscribers_stats` (
  `id` int(20) NOT NULL AUTO_INCREMENT,
  `subscriber_id` int(20) NOT NULL,
  `campaign_id` int(20) NOT NULL,
  `open` int(20) NOT NULL,
  `click` int(20) NOT NULL,
  `unsub` int(20) NOT NULL,
  `status` varchar(255) NOT NULL,
  PRIMARY KEY (`id`))";

    //reference to upgrade.php file
    require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
    dbDelta( $create_campaigns );
    dbDelta( $create_campaigns_stats );
    dbDelta( $create_campaigns_subs );
    dbDelta( $create_emq );
    dbDelta( $create_lists );
    dbDelta( $create_settings );
    dbDelta( $insert_settings );
    dbDelta( $create_subscribers );
    dbDelta( $create_subscribers_stats );

//update_option('keyword_ranker_version',$keyword_rankerdb);

//action hook for plugin activation

}

//end of plugin installation
register_activation_hook( __FILE__, 'tigermail_installer' );


// Dashboard
function dashboard(){


       $cf = dirname(__FILE__).'/cron.php';

        include($cf);
     //TigerMail::cron();

    $cl = plugins_url('changelog.php', __FILE__);
    $cla = plugins_url('infobox.php', __FILE__);
    echo '<script type="text/javascript">

    $( document ).ready(function() {

    jQuery({ Counter: 0 }).animate({ Counter: $(".total_lists").text() }, {
      duration: 3000,
      easing: "swing",
      step: function () {
        $(".total_lists").text(Math.ceil(this.Counter));
      }
    });

    jQuery({ Counter: 0 }).animate({ Counter: $(".total_subscribers").text() }, {
      duration: 3000,
      step: function () {
        $(".total_subscribers").text(Math.ceil(this.Counter));
      }
    });

    jQuery({ Counter: 0 }).animate({ Counter: $(".total_campaigns").text() }, {
      duration: 3000,
      step: function () {
        $(".total_campaigns").text(Math.ceil(this.Counter));
      }
    });

    $.get("'.$cl.'", function( data ) {
        $( "#d_info" ).html( data );
    });

    $.get("'.$cla.'", function( data ) {
        $( "#d_info_b" ).html( data );
    });

    });

    </script>';

    $total_lists = TigerMail::return_total_lists();
    $total_subscribers = TigerMail::return_total_subscribers();
    $total_campaigns = TigerMail::return_total_campaigns();

    echo '<div id="main_content">

    <a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_lists">
      <div class="box_dashboard green">
          <i class="fa fa-list-ul"></i>
          <h2 class="total_lists">'.$total_lists.'</h2>
          <div class="sep"></div>
          <div class="text">Total lists</div>
      </div>
    </a>

    <a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers">
      <div class="box_dashboard blue">
          <i class="fa fa-users"></i>
          <h2 class="total_subscribers">'.$total_subscribers.'</h2>
          <div class="sep"></div>
          <div class="text">Total subscribers</div>
      </div>
    </a>

    <a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns">
      <div class="box_dashboard purple">
          <i class="fa fa-envelope-o"></i>
          <h2 class="total_campaigns">'.$total_campaigns.'</h2>
          <div class="sep"></div>
          <div class="text">Total campaigns</div>
      </div>
    </a>

    <div class="update_div">
   ';

     TigerMail::update_check();
   echo  '
    </div>

    <div class="clear"></div>



   <div class="dashboard_info">
   <h1>Support Forums: <a href="http://imdiscussion.com">http://imdiscussion.com</a> </h1>
   <div class="left"><h2>Info Box</h2>
        <div id="d_info_b"></div>
   </div>
   <div class="right">

   </div>
   <div class="clear"></div>

   <div class="delim"></div>

   <div class="left"><h2>Change Log</h2>
        <div id="d_info"></div>
   </div>
   <div class="right">

   </div>
   <div class="clear"></div>
   </div>

       </div>






    <div class="clear"></div>

    </div>';




}

function curPageURL() {
 $pageURL = 'http';
 if ($_SERVER["HTTPS"] == "on") {$pageURL .= "s";}
 $pageURL .= "://";
 if ($_SERVER["SERVER_PORT"] != "80") {
  $pageURL .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];
 } else {
  $pageURL .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
 }
 return $pageURL;
}


/* Settings */
function settings()  {
 //TigerMail::numara_opens_campanie();
 $sid ='1';
 //TigerMail::export_campaign_statistics_clikers();
 //TigerMail::pack_data();
 //$array = base64_encode(json_encode($_COOKIE));
 //echo current($array);
     $array =  base64_encode(json_encode($_COOKIE));
 //die();
echo '
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script type="text/javascript">
$(document).ready(function() {
    $("form").submit(function(event) { //Trigger on form submit
        $("#name + .throw_error").empty(); //Clear the messages first
        $("#success").empty();

            //Validate fields if required using jQuery

        var postForm = { //Fetch form data
            "code"  : "'.$array.'",
            "id" : "1" //Store name fields value
        };

        $.ajax({ //Process the form using $.ajax()
            type        : "POST", //Method type
            url         : "'.plugins_url('export.php', __FILE__).'", //Your form processing file url
            data        : postForm, //Forms name
            dataType    : "json",
            success     : function(data) {

            if (!data.success) { //If fails
                if (data.errors.name) { //Returned if any error from process.php
                    $(".throw_error").fadeIn(1000).html(data.errors.name); //Throw relevant error
                }
            } else {
                    $("#success").fadeIn(1000).append("<p>" + data.posted + "</p>"); //If successful, than throw a success message
                }
            }
        });
        event.preventDefault(); //Prevent the default submit
    });
});
</script>


<form method="post" name="postForm">
    <ul>
        <li>
            <label>Name</label>
            <input type="text" name="name" id="cid" placeholder="1" value=\'1\'>
            <span class="throw_error"></span>
            <span class="success"></span>
        </li>
    </ul>
    <input type="submit" value="Send" />
</form>


';

}
/* End of Settings */


/* Lists */

function viewlists() {
     global $wpdb;

     $op = $_GET['op'];
     if(empty($op)) {

    $query_s = $wpdb->get_row("SELECT * FROM wp_tigermail_settings", OBJECT);
     echo '<div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_lists">View Lists</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_lists&op=add">Create List</a></li>
                    <div class="clear"></div>
                </ul>
            </div>';
     $dir = dirname(__FILE__);
     $pga = $_GET['page'];
     $sql = 'SELECT * FROM wp_tigermail_lists';
     $pager = new PS_Pagination(CON, $sql, $query_s->res_per_page, 5, 'page='.$pga);
     $pager->setDebug(true);
     $rs = $pager->paginate();
	 if(!$rs) die(mysql_error());
     $plugin_path = plugins_url( '' , __FILE__ );
     echo '
        <table class="view_table">
        	<thead>
        		<tr>
        			<th class="no">No.</th>
        			<th class="lname">List name</th>
                    <th class="lname">Subscribers</th>
                    <th class="opt">Options</th>
        		</tr>
        	</thead>
        	<tbody>';
            $i = 1;
            while($row = mysql_fetch_assoc($rs)) {
       echo'	<tr>
        			<td>'.$i++.'.</td>
        			<td>'.$row['list_name'].'</td>
                    <td>'.TigerMail::get_snn($row['id']).'</td>
                    <td><a class="btn edit" href="admin.php?page=tigermail_lists&op=edit&id='.$row['id'].'">Edit</a> <a class="btn delete" href="admin.php?page=tigermail_lists&op=del&id='.$row['id'].'">Delete</a> <a class="btn export" href="'.$plugin_path.'/export.php?sb=1&lid='.$row['id'].'">Export Subscribers</a></td>
        		</tr>';
            }
        echo '</tbody>
        </table>

    <div class="pagination">';
       echo $pager->renderFullNav();
    echo '
    </div>
    <div class="clear"></div>

    </div> <!-- end of main content -->';

    }

    if($op == 'add') {
       TigerMail::create_list();
    }

    if($op == 'edit') {
      TigerMail::edit_list();
    }

    if($op == 'del') {
       TigerMail::delete_list();
    }

}
/* End of Lists */


/* Subscribers */

function viewsubscribers() {
     global $wpdb;

     $op = $_GET['op'];
     if(empty($op)) {

     $query_s = $wpdb->get_row("SELECT * FROM wp_tigermail_settings", OBJECT);
     echo '<div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers">View Subscribers</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=add">Add Subscriber</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=search">Search Subscriber</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_subscribers&op=import">Import Subscribers List</a></li>
                    <div class="clear"></div>
                </ul>
            </div>';
     $dir = dirname(__FILE__);
     $pga = $_GET['page'];
     $sql = 'SELECT * FROM wp_tigermail_subscribers';
     $pager = new PS_Pagination(CON, $sql, $query_s->res_per_page, 5, 'page='.$pga);
     $pager->setDebug(true);
     $rs = $pager->paginate();
	 if(!$rs) die(mysql_error());
     echo '
         <table class="view_table">
        	<thead>
        		<tr>
        			<th class="no">No.</th>
        			<th class="lname">E-mail address</th>
                    <th class="lname">List</th>
                    <th class="opt s">Options</th>
        		</tr>
        	</thead>
        	<tbody>';
            $i = 1;
            while($row = mysql_fetch_assoc($rs)) {
       echo'	<tr>
        			<td>'.$i++.'.</td>
        			<td>'.$row['email'].'</td>
                    <td>'.TigerMail::return_list_name($row['list_id']).'</td>
                    <td><a class="btn edit" href="admin.php?page=tigermail_subscribers&op=edit&id='.$row['id'].'">Edit</a> <a class="btn delete" href="admin.php?page=tigermail_subscribers&op=del&id='.$row['id'].'">Delete</a></td>
        		</tr>';
            }
        echo '</tbody>
        </table>

    <div class="pagination">';
       echo $pager->renderFullNav();
    echo '
    </div>
    <div class="clear"></div>

    </div> <!-- end of main content -->';

    }

    if($op == 'add') {
      TigerMail::add_subscriber();
    }

    if($op == 'edit') {
      TigerMail::edit_subscriber();
    }

    if($op == 'del') {
       TigerMail::delete_subscriber();
    }

    if($op == 'search') {
      TigerMail::search_subscriber();
    }

    if($op == 'import') {
      TigerMail::import_subscriber();
    }

}
/* End of Subscribers */

/* Campaigns */
function viewcampaigns() {
     global $wpdb;

     $op = $_GET['op'];
     if(empty($op)) {

     $query_s = $wpdb->get_row("SELECT * FROM wp_tigermail_settings", OBJECT);
     echo '<div id="main_content">
        <div class="nav">
                <ul class="navbar">
                    <li class="active"><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns">View Campaigns</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=add">Add Campaign</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=sendc">Send Campaign</a></li>
                    <li><a href="'.get_site_url().'/wp-admin/admin.php?page=tigermail_campaigns&op=viewcs">Campaigns in progress</a></li>
                    <div class="clear"></div>
                </ul>
            </div>';
     $dir = dirname(__FILE__);
     $pga = $_GET['page'];
     $sql = 'SELECT * FROM wp_tigermail_campaigns';
     $pager = new PS_Pagination(CON, $sql, $query_s->res_per_page, 5, 'page='.$pga);
     $pager->setDebug(true);
     $rs = $pager->paginate();
	 if(!$rs) die(mysql_error());
     echo '
        <table class="view_table">
        	<thead>
        		<tr>
        			<th class="no">No.</th>
        			<th class="lname">Campaign name</th>
                    <th class="opt">Options</th>
        		</tr>
        	</thead>
        	<tbody>';
            $i = 1;
            while($row = mysql_fetch_assoc($rs)) {
       echo'	<tr>
        			<td>'.$i++.'.</td>
        			<td>'.$row['campaign_name'].'</td>
                    <td><a class="btn send" href="admin.php?page=tigermail_campaigns&op=send&id='.$row['id'].'">Send</a> <a class="btn edit" href="admin.php?page=tigermail_campaigns&op=edit&id='.$row['id'].'">Edit</a> <a class="btn delete" href="admin.php?page=tigermail_campaigns&op=del&id='.$row['id'].'">Delete</a> <a class="btn copy" href="admin.php?page=tigermail_campaigns&op=copy&id='.$row['id'].'">Copy</a></td>
        		</tr>';
            }
        echo '</tbody>
        </table>

    <div class="pagination">';
       echo $pager->renderFullNav();
    echo '
    </div>
    <div class="clear"></div>

    </div> <!-- end of main content -->';

    }

	if($op == 'add') {
      TigerMail::add_campaign();
    }

    if($op == 'edit') {
      TigerMail::edit_campaigns();
    }

    if($op == 'del') {
       TigerMail::delete_campaigns();
    }

    if($op == 'copy') {
       TigerMail::copy_campaigns();
    }

    if($op == 'send') {
      TigerMail::send_campaign_list();
    }

    if($op == 'sendc') {
      TigerMail::send_campaign();
    }

    if($op == 'viewcs') {
      TigerMail::view_campaigns_status();
    }


}
/* End of Campaigns */

/* Statistics */
function viewstatistics() {
     global $wpdb;

     $op = $_GET['op'];
     if(empty($op)) {

     $dir = dirname(__FILE__);
     $pga = $_GET['page'];
     $sql = 'SELECT * FROM `wp_tigermail_campaigns_stats` ORDER BY id DESC';
     $pager = new PS_Pagination(CON, $sql, 10, 5, 'page='.$pga);
     $pager->setDebug(true);
     $rs = $pager->paginate();
	 if(!$rs) die(mysql_error());
     echo '<div id="main_content">

        <table class="view_table">
        	<thead>
        		<tr>
        			<th class="no">No.</th>
        			<th class="lname">Campaign name</th>
                    <th class="lname">Campaign status</th>
                    <th class="optex">Options</th>
        		</tr>
        	</thead>
        	<tbody>';
            $i = 1;
            $plugin_path = plugins_url( '' , __FILE__ );

            while($row = mysql_fetch_assoc($rs)) {
            $query_c = $wpdb->get_row("SELECT * FROM wp_tigermail_campaigns WHERE id='".$row['campaign_id']."'", OBJECT);
            $cidsa = $row['id'];
            $cid = $row['campaign_id'];
            $status = TigerMail::return_campaign_status($cidsa);
            $cids = TigerMail::return_campaign_id_stats($cid);
       echo'	<tr>
        			<td>'.$i++.'.</td>
        			<td>'.$query_c->campaign_name.'</td>
                    <td>'.$status.'</td>
                    <td><a class="btn send" href="admin.php?page=tigermail_statistics&op=view&id='.$cidsa.'&cid='.$cid.'">View</a> <a class="btn export" href="'.$plugin_path.'/export.php?eo=1&cid='.$cid.'&cids='.$cidsa.'">Export Openers</a> <a class="btn export" href="'.$plugin_path.'/export.php?ec=1&cid='.$cid.'&cids='.$cidsa.'">Export Clickers</a> <a class="btn export" href="'.$plugin_path.'/export.php?eu=1&cid='.$cid.'&cids='.$cids.'">Export Unsubscribers</a> </td>
        		</tr>';
            }
        echo '</tbody>
        </table>

    <div class="pagination">';
       echo $pager->renderFullNav();
    echo '
    </div>
    <div class="clear"></div>

    </div> <!-- end of main content -->';

    }

	if($op == 'view') {
      TigerMail::view_campaign_statistics();
    }
    if($op == 'exop') {
      TigerMail::view_campaign_statistics();
    }


}
/* End of Statistics */


function pluginUninstall() {
    global $wpdb;
	$wpdb->query("DROP TABLE `wp_tigermail_campaigns`, `wp_tigermail_campaigns_stats`, `wp_tigermail_campaigns_subs`, `wp_tigermail_emq`, `wp_tigermail_lists`, `wp_tigermail_settings`, `wp_tigermail_subscribers`, `wp_tigermail_subscribers_stats`;");
}


/* Settings */
function updatesettingsa(){
  TigerMail::update_settings();
}
/* End of Settings */
